.l-page {
  overflow-y: hidden;
}
.l-page::before {
  background: #151515;
  content: "";
  height: 100vh;
  opacity: 0;
  position: fixed;
  width: 100vw;
  visibility: hidden;
  z-index: 5;
}
.more-open .l-page::before, .menu-open .l-page::before {
  opacity: 0.7;
  visibility: visible;
  transition: opacity 0.3s linear;
}